//Respawn eines Fahrzeuges mit Besatzung und Einsatzziel. [Vienna 02.11.2011]
//Ausfhrung erfolgt beim Server.
//Das Skript wird in der Initzeile eines Fahrzeuges mit Besatzung gestartet.
//
//Aufruf: [<Fahrzeug>,<Position des Einsatzortes>,<Respawnzeit>,<Respawnanzahl>] execVM "FahrzeugRespawnenMitWegpunkt.sqf";
//
//Beispiel fr Aufruf in der Initzeile des Fahrzeuges (fr den Zielort wird ein Marker Namens "ZielOrt" angenommen):
// temp = [this, markerPos "ZielOrt",15,3] execVM "FahrzeugRespawnenMitWegpunkt.sqf";

if (!isServer) exitWith {}; // Programm nicht ausfhren, wenn nicht Server/Host.

//Lokale Variable
Private ["_clearAllWP","_Vehikel","_RespZeit","_ZielPos","_Respawns","_StartPos","_Richtung","_Driver","_Gunner","_Comman","_Gruppe","_i","_temp"];

//Parameter:
 _Vehikel = _this select 0; //Fahrzeug
 _ZielPos = _this select 1; //Position des Einsatzortes
 _RespZeit = _this select 2; //Respawnzeit
 _Respawns = _this select 3; //Anzahl der Respawns

//Position des Respawnortes
 _StartPos = position _Vehikel;
//Ausrichtung des Fahrzeuges 
 _Richtung = getDir _Vehikel; 
//Besatzung auslesen
 if (! isNull driver  _Vehikel) then {_Driver = driver _Vehikel; _Gruppe = group _Driver}; 
 if (! isNull gunner  _Vehikel) then {_Gunner = driver _Vehikel; _Gruppe = group _Gunner}; 
 if (! isNull commander _Vehikel) then {_Comman = driver _Vehikel; _Gruppe = group _Comman}; 
//Keine Besatzung vorhanden? Dann exit!
 if (isNil "_Gruppe") exitWith {sleep 1; player GroupChat "Keine Besatzung im Fahrzeug!"};

//Kampfverhalten der Gruppe: 
 //Verhalten: sorglos/deckungslos --> "CARELESS","SAFE","AWARE","COMBAT","STEALTH" <-- vorsichtig/Ausntzung jeder Deckung 	
 _Gruppe setBehaviour "AWARE";
 //SpeedMode: "LIMITED"(half speed),"NORMAL"(full speed, maintain formation),"FULL"(do not wait for any other units in formation)
 _Gruppe setSpeedMode "NORMAL";  
 //CombatMode: "BLUE"(Never fire),"GREEN"(Hold fire-defend only),"WHITE"(Hold fire,engage at will),"YELLOW"(Fire at will),"RED"(Fire at will,engage at will),
 _Gruppe setCombatMode "WHITE";
 //Formation: "COLUMN","STAG COLUMN","WEDGE","ECH LEFT","ECH RIGHT","VEE","LINE","FILE","DIAMOND"
 _Gruppe setFormation "LINE";
 //Fluchtverhalten: 0 = 0%, 1 = 100%
  _Gruppe allowFleeing 0.5;     

//Schleife fr die Anzahl der Respawns
for "_i" from 0 to _Respawns do
 {
  //Wegpunkt zum Einsatzort erstellen
  _temp = _Gruppe addWaypoint [_ZielPos,0];
  [_Gruppe, 0] SetWaypointType "MOVE";
  _Gruppe setCurrentWaypoint [_Gruppe, 1];
  if (_i < _Respawns) then
   { 
    //Warten bis Fahrzeug zerstrt oder ohne Besatzung 
    waitUntil {count Crew _Vehikel == 0 or damage _Vehikel > 0.8};
    //Wegpunkt lschen
    deleteWaypoint[_Gruppe,1];
    //neues Fahrzeug erstellen
    sleep _RespZeit;
    _Vehikel = createVehicle [typeOf _Vehikel, _StartPos, [], 0, "FORM"];
    _Vehikel setDir _Richtung;
    if (! isNil "_Driver") then
     {
      _Driver = _Gruppe createUnit [typeOf _Driver, [0,0], [], 0, "FORM"];
      _Driver moveInDriver _Vehikel
     }; 
    if (! isNil "_Gunner") then
     {
      _Gunner = _Gruppe createUnit [typeOf _Gunner, [0,0], [], 0, "FORM"];
      _Gunner moveInGunner _Vehikel
     }; 
    if (! isNil "_Comman") then 
     {
      _Comman = _Gruppe createUnit [typeOf _Comman, [0,0], [], 0, "FORM"];
      _Comman moveInCommander _Vehikel
     }
   }
 }
